# Uses of Interface
org.eclipse.ui.activities.ITriggerPoint

Packages that use ITriggerPoint
Package
Description
org.eclipse.ui.activities
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of ITriggerPoint in org.eclipse.ui.activities

Methods in org.eclipse.ui.activities that return ITriggerPoint
Modifier and Type
Method
Description
`ITriggerPoint`
ITriggerPointManager.`getTriggerPoint(String id)`
Return the trigger point with the given id.
Methods in org.eclipse.ui.activities with parameters of type ITriggerPoint
Modifier and Type
Method
Description
`Set<String>`
ITriggerPointAdvisor.`allow(ITriggerPoint triggerPoint, IIdentifier identifier)`
Answer whether the activities bound to the identifier should be enabled when triggered by the provided trigger point.
`Set<String>`
WorkbenchTriggerPointAdvisor.`allow(ITriggerPoint triggerPoint, IIdentifier identifier)`
`static boolean`
WorkbenchActivityHelper.`allowUseOf(ITriggerPoint triggerPoint, Object object)`
Answers whether a given contribution is allowed to be used based on activity enablement.